org.eclipse.rdf4j.model.vocabulary

## Class SHACL

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.SHACL

-     public class SHACL
      extends Object

  Constants for the Shapes Constraint Language.
  Author:
    Bart Hanssens
  See Also:
    Shapes Constraint Language

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `ABSTRACT_RESULT` sh:AbstractResult
    `static IRI` | `ALTERNATIVE_PATH` sh:alternativePath
    `static IRI` | `AND` sh:and
    `static IRI` | `AND_CONSTRAINT_COMPONENT` sh:AndConstraintComponent
    `static IRI` | `AND_CONSTRAINT_COMPONENT_AND` sh:AndConstraintComponent-and
    `static IRI` | `ANNOTATION_PROPERTY` sh:annotationProperty
    `static IRI` | `ANNOTATION_VALUE` sh:annotationValue
    `static IRI` | `ANNOTATION_VAR_NAME` sh:annotationVarName
    `static IRI` | `ASK` sh:ask
    `static IRI` | `BLANK_NODE` sh:BlankNode
    `static IRI` | `BLANK_NODE_OR_IRI` sh:BlankNodeOrIRI
    `static IRI` | `BLANK_NODE_OR_LITERAL` sh:BlankNodeOrLiteral
    `static IRI` | `CLASS` sh:class
    `static IRI` | `CLASS_CONSTRAINT_COMPONENT` sh:ClassConstraintComponent
    `static IRI` | `CLASS_CONSTRAINT_COMPONENT_CLASS` sh:ClassConstraintComponent-class
    `static IRI` | `CLOSED` sh:closed
    `static IRI` | `CLOSED_CONSTRAINT_COMPONENT` sh:ClosedConstraintComponent
    `static IRI` | `CLOSED_CONSTRAINT_COMPONENT_CLOSED` sh:ClosedConstraintComponent-closed
    `static IRI` | `CLOSED_CONSTRAINT_COMPONENT_IGNORED_PROPERTIES` sh:ClosedConstraintComponent-ignoredProperties
    `static IRI` | `CONFORMS` sh:conforms
    `static IRI` | `CONSTRAINT_COMPONENT` sh:ConstraintComponent
    `static IRI` | `CONSTRUCT` sh:construct
    `static IRI` | `DATATYPE` sh:datatype
    `static IRI` | `DATATYPE_CONSTRAINT_COMPONENT` sh:DatatypeConstraintComponent
    `static IRI` | `DATATYPE_CONSTRAINT_COMPONENT_DATATYPE` sh:DatatypeConstraintComponent-datatype
    `static IRI` | `DEACTIVATED` sh:deactivated
    `static IRI` | `DECLARE` sh:declare
    `static IRI` | `DEFAULT_VALUE` sh:defaultValue
    `static IRI` | `DERIVED_VALUES` sh:derivedValues
    `static IRI` | `DERIVED_VALUES_CONSTRAINT_COMPONENT` sh:DerivedValuesConstraintComponent
    `static IRI` | `DESCRIPTION` sh:description
    `static IRI` | `DETAIL` sh:detail
    `static IRI` | `DISJOINT` sh:disjoint
    `static IRI` | `DISJOINT_CONSTRAINT_COMPONENT` sh:DisjointConstraintComponent
    `static IRI` | `DISJOINT_CONSTRAINT_COMPONENT_DISJOINT` sh:DisjointConstraintComponent-disjoint
    `static IRI` | `EQUALS` sh:equals
    `static IRI` | `EQUALS_CONSTRAINT_COMPONENT` sh:EqualsConstraintComponent
    `static IRI` | `EQUALS_CONSTRAINT_COMPONENT_EQUALS` sh:EqualsConstraintComponent-equals
    `static IRI` | `FLAGS` sh:flags
    `static IRI` | `FOCUS_NODE` sh:focusNode
    `static IRI` | `FUNCTION` sh:Function
    `static IRI` | `GROUP` sh:group
    `static IRI` | `HAS_VALUE` sh:hasValue
    `static IRI` | `HAS_VALUE_CONSTRAINT_COMPONENT` sh:HasValueConstraintComponent
    `static IRI` | `HAS_VALUE_CONSTRAINT_COMPONENT_HAS_VALUE` sh:HasValueConstraintComponent-hasValue
    `static IRI` | `IGNORED_PROPERTIES` sh:ignoredProperties
    `static IRI` | `IN` sh:in
    `static IRI` | `IN_CONSTRAINT_COMPONENT` sh:InConstraintComponent
    `static IRI` | `IN_CONSTRAINT_COMPONENT_IN` sh:InConstraintComponent-in
    `static IRI` | `INFO` sh:Info
    `static IRI` | `INVERSE_PATH` sh:inversePath
    `static IRI` | `IRI` sh:IRI
    `static IRI` | `IRI_OR_LITERAL` sh:IRIOrLiteral
    `static IRI` | `LABEL_TEMPLATE` sh:labelTemplate
    `static IRI` | `LANGUAGE_IN` sh:languageIn
    `static IRI` | `LANGUAGE_IN_CONSTRAINT_COMPONENT` sh:LanguageInConstraintComponent
    `static IRI` | `LANGUAGE_IN_CONSTRAINT_COMPONENT_LANGUAGE_IN` sh:LanguageInConstraintComponent-languageIn
    `static IRI` | `LESS_THAN` sh:lessThan
    `static IRI` | `LESS_THAN_CONSTRAINT_COMPONENT` sh:LessThanConstraintComponent
    `static IRI` | `LESS_THAN_CONSTRAINT_COMPONENT_LESS_THAN` sh:LessThanConstraintComponent-lessThan
    `static IRI` | `LESS_THAN_OR_EQUALS` sh:lessThanOrEquals
    `static IRI` | `LESS_THAN_OR_EQUALS_CONSTRAINT_COMPONENT` sh:LessThanOrEqualsConstraintComponent
    `static IRI` | `LESS_THAN_OR_EQUALS_CONSTRAINT_COMPONENT_LESS_THAN_OR_EQUALS` sh:LessThanOrEqualsConstraintComponent-lessThanOrEquals
    `static IRI` | `LITERAL` sh:Literal
    `static IRI` | `MAX_COUNT` sh:maxCount
    `static IRI` | `MAX_COUNT_CONSTRAINT_COMPONENT` sh:MaxCountConstraintComponent
    `static IRI` | `MAX_COUNT_CONSTRAINT_COMPONENT_MAX_COUNT` sh:MaxCountConstraintComponent-maxCount
    `static IRI` | `MAX_EXCLUSIVE` sh:maxExclusive
    `static IRI` | `MAX_EXCLUSIVE_CONSTRAINT_COMPONENT` sh:MaxExclusiveConstraintComponent
    `static IRI` | `MAX_EXCLUSIVE_CONSTRAINT_COMPONENT_MAX_EXCLUSIVE` sh:MaxExclusiveConstraintComponent-maxExclusive
    `static IRI` | `MAX_INCLUSIVE` sh:maxInclusive
    `static IRI` | `MAX_INCLUSIVE_CONSTRAINT_COMPONENT` sh:MaxInclusiveConstraintComponent
    `static IRI` | `MAX_INCLUSIVE_CONSTRAINT_COMPONENT_MAX_INCLUSIVE` sh:MaxInclusiveConstraintComponent-maxInclusive
    `static IRI` | `MAX_LENGTH` sh:maxLength
    `static IRI` | `MAX_LENGTH_CONSTRAINT_COMPONENT` sh:MaxLengthConstraintComponent
    `static IRI` | `MAX_LENGTH_CONSTRAINT_COMPONENT_MAX_LENGTH` sh:MaxLengthConstraintComponent-maxLength
    `static IRI` | `MESSAGE` sh:message
    `static IRI` | `MIN_COUNT` sh:minCount
    `static IRI` | `MIN_COUNT_CONSTRAINT_COMPONENT` sh:MinCountConstraintComponent
    `static IRI` | `MIN_COUNT_CONSTRAINT_COMPONENT_MIN_COUNT` sh:MinCountConstraintComponent-minCount
    `static IRI` | `MIN_EXCLUSIVE` sh:minExclusive
    `static IRI` | `MIN_EXCLUSIVE_CONSTRAINT_COMPONENT` sh:MinExclusiveConstraintComponent
    `static IRI` | `MIN_EXCLUSIVE_CONSTRAINT_COMPONENT_MIN_EXCLUSIVE` sh:MinExclusiveConstraintComponent-minExclusive
    `static IRI` | `MIN_INCLUSIVE` sh:minInclusive
    `static IRI` | `MIN_INCLUSIVE_CONSTRAINT_COMPONENT` sh:MinInclusiveConstraintComponent
    `static IRI` | `MIN_INCLUSIVE_CONSTRAINT_COMPONENT_MIN_INCLUSIVE` sh:MinInclusiveConstraintComponent-minInclusive
    `static IRI` | `MIN_LENGTH` sh:minLength
    `static IRI` | `MIN_LENGTH_CONSTRAINT_COMPONENT` sh:MinLengthConstraintComponent
    `static IRI` | `MIN_LENGTH_CONSTRAINT_COMPONENT_MIN_LENGTH` sh:MinLengthConstraintComponent-minLength
    `static IRI` | `NAME` sh:name
    `static String` | `NAMESPACE` The SHACL namespace: http://www.w3.org/ns/shacl#
    `static IRI` | `NAMESPACE_PROP` sh:namespace
    `static IRI` | `NODE` sh:node
    `static IRI` | `NODE_CONSTRAINT_COMPONENT` sh:NodeConstraintComponent
    `static IRI` | `NODE_CONSTRAINT_COMPONENT_NODE` sh:NodeConstraintComponent-node
    `static IRI` | `NODE_KIND` sh:NodeKind
    `static IRI` | `NODE_KIND_CONSTRAINT_COMPONENT` sh:NodeKindConstraintComponent
    `static IRI` | `NODE_KIND_CONSTRAINT_COMPONENT_NODE_KIND` sh:NodeKindConstraintComponent-nodeKind
    `static IRI` | `NODE_KIND_PROP` sh:nodeKind
    `static IRI` | `NODE_SHAPE` sh:NodeShape
    `static IRI` | `NODE_VALIDATOR` sh:nodeValidator
    `static IRI` | `NOT` sh:not
    `static IRI` | `NOT_CONSTRAINT_COMPONENT` sh:NotConstraintComponent
    `static IRI` | `NOT_CONSTRAINT_COMPONENT_NOT` sh:NotConstraintComponent-not
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the namespace.
    `static IRI` | `ONE_OR_MORE_PATH` sh:oneOrMorePath
    `static IRI` | `OPTIONAL` sh:optional
    `static IRI` | `OR` sh:or
    `static IRI` | `OR_CONSTRAINT_COMPONENT` sh:OrConstraintComponent
    `static IRI` | `OR_CONSTRAINT_COMPONENT_OR` sh:OrConstraintComponent-or
    `static IRI` | `ORDER` sh:order
    `static IRI` | `PARAMETER` sh:Parameter
    `static IRI` | `PARAMETER_PROP` sh:parameter
    `static IRI` | `PARAMETERIZABLE` sh:Parameterizable
    `static IRI` | `PATH` sh:path
    `static IRI` | `PATTERN` sh:pattern
    `static IRI` | `PATTERN_CONSTRAINT_COMPONENT` sh:PatternConstraintComponent
    `static IRI` | `PATTERN_CONSTRAINT_COMPONENT_FLAGS` sh:PatternConstraintComponent-flags
    `static IRI` | `PATTERN_CONSTRAINT_COMPONENT_PATTERN` sh:PatternConstraintComponent-pattern
    `static String` | `PREFIX` Recommended prefix for the namespace: "sh"
    `static IRI` | `PREFIX_DECLARATION` sh:PrefixDeclaration
    `static IRI` | `PREFIX_PROP` sh:prefix
    `static IRI` | `PREFIXES` sh:prefixes
    `static IRI` | `PROPERTY` sh:property
    `static IRI` | `PROPERTY_CONSTRAINT_COMPONENT` sh:PropertyConstraintComponent
    `static IRI` | `PROPERTY_CONSTRAINT_COMPONENT_PROPERTY` sh:PropertyConstraintComponent-property
    `static IRI` | `PROPERTY_GROUP` sh:PropertyGroup
    `static IRI` | `PROPERTY_SHAPE` sh:PropertyShape
    `static IRI` | `PROPERTY_VALIDATOR` sh:propertyValidator
    `static IRI` | `QUALIFIED_MAX_COUNT` sh:qualifiedMaxCount
    `static IRI` | `QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT` sh:QualifiedMaxCountConstraintComponent
    `static IRI` | `QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_MAX_COUNT` sh:QualifiedMaxCountConstraintComponent-qualifiedMaxCount
    `static IRI` | `QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPE` sh:QualifiedMaxCountConstraintComponent-qualifiedValueShape
    `static IRI` | `QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPES_DISJOINT` sh:QualifiedMaxCountConstraintComponent-qualifiedValueShapesDisjoint
    `static IRI` | `QUALIFIED_MIN_COUNT` sh:qualifiedMinCount
    `static IRI` | `QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT` sh:QualifiedMinCountConstraintComponent
    `static IRI` | `QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_MIN_COUNT` sh:QualifiedMinCountConstraintComponent-qualifiedMinCount
    `static IRI` | `QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPE` sh:QualifiedMinCountConstraintComponent-qualifiedValueShape
    `static IRI` | `QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPES_DISJOINT` sh:QualifiedMinCountConstraintComponent-qualifiedValueShapesDisjoint
    `static IRI` | `QUALIFIED_VALUE_SHAPE` sh:qualifiedValueShape
    `static IRI` | `QUALIFIED_VALUE_SHAPES_DISJOINT` sh:qualifiedValueShapesDisjoint
    `static IRI` | `RESULT` sh:result
    `static IRI` | `RESULT_ANNOTATION` sh:ResultAnnotation
    `static IRI` | `RESULT_ANNOTATION_PROP` sh:resultAnnotation
    `static IRI` | `RESULT_MESSAGE` sh:resultMessage
    `static IRI` | `RESULT_PATH` sh:resultPath
    `static IRI` | `RESULT_SEVERITY` sh:resultSeverity
    `static IRI` | `RETURN_TYPE` sh:returnType
    `static IRI` | `SELECT` sh:select
    `static IRI` | `SEVERITY` sh:Severity
    `static IRI` | `SEVERITY_PROP` sh:severity
    `static IRI` | `SHAPE` sh:Shape
    `static IRI` | `SHAPES_GRAPH` sh:shapesGraph
    `static IRI` | `SHAPES_GRAPH_WELL_FORMED` sh:shapesGraphWellFormed
    `static IRI` | `SOURCE_CONSTRAINT` sh:sourceConstraint
    `static IRI` | `SOURCE_CONSTRAINT_COMPONENT` sh:sourceConstraintComponent
    `static IRI` | `SOURCE_SHAPE` sh:sourceShape
    `static IRI` | `SPARQL` sh:sparql
    `static IRI` | `SPARQL_ASK_EXECUTABLE` sh:SPARQLAskExecutable
    `static IRI` | `SPARQL_ASK_VALIDATOR` sh:SPARQLAskValidator
    `static IRI` | `SPARQL_CONSTRAINT` sh:SPARQLConstraint
    `static IRI` | `SPARQL_CONSTRAINT_COMPONENT` sh:SPARQLConstraintComponent
    `static IRI` | `SPARQL_CONSTRAINT_COMPONENT_SPARQL` sh:SPARQLConstraintComponent-sparql
    `static IRI` | `SPARQL_CONSTRUCT_EXECUTABLE` sh:SPARQLConstructExecutable
    `static IRI` | `SPARQL_EXECUTABLE` sh:SPARQLExecutable
    `static IRI` | `SPARQL_FUNCTION` sh:SPARQLFunction
    `static IRI` | `SPARQL_SELECT_EXECUTABLE` sh:SPARQLSelectExecutable
    `static IRI` | `SPARQL_SELECT_VALIDATOR` sh:SPARQLSelectValidator
    `static IRI` | `SPARQL_TARGET` sh:SPARQLTarget
    `static IRI` | `SPARQL_TARGET_TYPE` sh:SPARQLTargetType
    `static IRI` | `SPARQL_UPDATE_EXECUTABLE` sh:SPARQLUpdateExecutable
    `static IRI` | `SPARQL_VALUES_DERIVER` sh:SPARQLValuesDeriver
    `static IRI` | `TARGET` sh:Target
    `static IRI` | `TARGET_CLASS` sh:targetClass
    `static IRI` | `TARGET_NODE` sh:targetNode
    `static IRI` | `TARGET_OBJECTS_OF` sh:targetObjectsOf
    `static IRI` | `TARGET_PROP` sh:target
    `static IRI` | `TARGET_SUBJECTS_OF` sh:targetSubjectsOf
    `static IRI` | `TARGET_TYPE` sh:TargetType
    `static IRI` | `UNIQUE_LANG` sh:uniqueLang
    `static IRI` | `UNIQUE_LANG_CONSTRAINT_COMPONENT` sh:UniqueLangConstraintComponent
    `static IRI` | `UNIQUE_LANG_CONSTRAINT_COMPONENT_UNIQUE_LANG` sh:UniqueLangConstraintComponent-uniqueLang
    `static IRI` | `UPDATE` sh:update
    `static IRI` | `VALIDATION_REPORT` sh:ValidationReport
    `static IRI` | `VALIDATION_RESULT` sh:ValidationResult
    `static IRI` | `VALIDATOR` sh:Validator
    `static IRI` | `VALIDATOR_PROP` sh:validator
    `static IRI` | `VALUE` sh:value
    `static IRI` | `VALUES_DERIVER` sh:ValuesDeriver
    `static IRI` | `VIOLATION` sh:Violation
    `static IRI` | `WARNING` sh:Warning
    `static IRI` | `XONE` sh:xone
    `static IRI` | `XONE_CONSTRAINT_COMPONENT` sh:XoneConstraintComponent
    `static IRI` | `XONE_CONSTRAINT_COMPONENT_XONE` sh:XoneConstraintComponent-xone
    `static IRI` | `ZERO_OR_MORE_PATH` sh:zeroOrMorePath
    `static IRI` | `ZERO_OR_ONE_PATH` sh:zeroOrOnePath

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SHACL()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The SHACL namespace: http://www.w3.org/ns/shacl#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the namespace: "sh"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the namespace.

    - #### ABSTRACT_RESULT

          public static final IRI ABSTRACT_RESULT

      sh:AbstractResult

    - #### AND_CONSTRAINT_COMPONENT

          public static final IRI AND_CONSTRAINT_COMPONENT

      sh:AndConstraintComponent

    - #### AND_CONSTRAINT_COMPONENT_AND

          public static final IRI AND_CONSTRAINT_COMPONENT_AND

      sh:AndConstraintComponent-and

    - #### BLANK_NODE

          public static final IRI BLANK_NODE

      sh:BlankNode

    - #### BLANK_NODE_OR_IRI

          public static final IRI BLANK_NODE_OR_IRI

      sh:BlankNodeOrIRI

    - #### BLANK_NODE_OR_LITERAL

          public static final IRI BLANK_NODE_OR_LITERAL

      sh:BlankNodeOrLiteral

    - #### CLASS_CONSTRAINT_COMPONENT

          public static final IRI CLASS_CONSTRAINT_COMPONENT

      sh:ClassConstraintComponent

    - #### CLASS_CONSTRAINT_COMPONENT_CLASS

          public static final IRI CLASS_CONSTRAINT_COMPONENT_CLASS

      sh:ClassConstraintComponent-class

    - #### CLOSED_CONSTRAINT_COMPONENT

          public static final IRI CLOSED_CONSTRAINT_COMPONENT

      sh:ClosedConstraintComponent

    - #### CLOSED_CONSTRAINT_COMPONENT_CLOSED

          public static final IRI CLOSED_CONSTRAINT_COMPONENT_CLOSED

      sh:ClosedConstraintComponent-closed

    - #### CLOSED_CONSTRAINT_COMPONENT_IGNORED_PROPERTIES

          public static final IRI CLOSED_CONSTRAINT_COMPONENT_IGNORED_PROPERTIES

      sh:ClosedConstraintComponent-ignoredProperties

    - #### CONSTRAINT_COMPONENT

          public static final IRI CONSTRAINT_COMPONENT

      sh:ConstraintComponent

    - #### DATATYPE_CONSTRAINT_COMPONENT

          public static final IRI DATATYPE_CONSTRAINT_COMPONENT

      sh:DatatypeConstraintComponent

    - #### DATATYPE_CONSTRAINT_COMPONENT_DATATYPE

          public static final IRI DATATYPE_CONSTRAINT_COMPONENT_DATATYPE

      sh:DatatypeConstraintComponent-datatype

    - #### DERIVED_VALUES_CONSTRAINT_COMPONENT

          public static final IRI DERIVED_VALUES_CONSTRAINT_COMPONENT

      sh:DerivedValuesConstraintComponent

    - #### DISJOINT_CONSTRAINT_COMPONENT

          public static final IRI DISJOINT_CONSTRAINT_COMPONENT

      sh:DisjointConstraintComponent

    - #### DISJOINT_CONSTRAINT_COMPONENT_DISJOINT

          public static final IRI DISJOINT_CONSTRAINT_COMPONENT_DISJOINT

      sh:DisjointConstraintComponent-disjoint

    - #### EQUALS_CONSTRAINT_COMPONENT

          public static final IRI EQUALS_CONSTRAINT_COMPONENT

      sh:EqualsConstraintComponent

    - #### EQUALS_CONSTRAINT_COMPONENT_EQUALS

          public static final IRI EQUALS_CONSTRAINT_COMPONENT_EQUALS

      sh:EqualsConstraintComponent-equals

    - #### FUNCTION

          public static final IRI FUNCTION

      sh:Function

    - #### HAS_VALUE_CONSTRAINT_COMPONENT

          public static final IRI HAS_VALUE_CONSTRAINT_COMPONENT

      sh:HasValueConstraintComponent

    - #### HAS_VALUE_CONSTRAINT_COMPONENT_HAS_VALUE

          public static final IRI HAS_VALUE_CONSTRAINT_COMPONENT_HAS_VALUE

      sh:HasValueConstraintComponent-hasValue

    - #### IRI

          public static final IRI IRI

      sh:IRI

    - #### IRI_OR_LITERAL

          public static final IRI IRI_OR_LITERAL

      sh:IRIOrLiteral

    - #### IN_CONSTRAINT_COMPONENT

          public static final IRI IN_CONSTRAINT_COMPONENT

      sh:InConstraintComponent

    - #### IN_CONSTRAINT_COMPONENT_IN

          public static final IRI IN_CONSTRAINT_COMPONENT_IN

      sh:InConstraintComponent-in

    - #### INFO

          public static final IRI INFO

      sh:Info

    - #### LANGUAGE_IN_CONSTRAINT_COMPONENT

          public static final IRI LANGUAGE_IN_CONSTRAINT_COMPONENT

      sh:LanguageInConstraintComponent

    - #### LANGUAGE_IN_CONSTRAINT_COMPONENT_LANGUAGE_IN

          public static final IRI LANGUAGE_IN_CONSTRAINT_COMPONENT_LANGUAGE_IN

      sh:LanguageInConstraintComponent-languageIn

    - #### LESS_THAN_CONSTRAINT_COMPONENT

          public static final IRI LESS_THAN_CONSTRAINT_COMPONENT

      sh:LessThanConstraintComponent

    - #### LESS_THAN_CONSTRAINT_COMPONENT_LESS_THAN

          public static final IRI LESS_THAN_CONSTRAINT_COMPONENT_LESS_THAN

      sh:LessThanConstraintComponent-lessThan

    - #### LESS_THAN_OR_EQUALS_CONSTRAINT_COMPONENT

          public static final IRI LESS_THAN_OR_EQUALS_CONSTRAINT_COMPONENT

      sh:LessThanOrEqualsConstraintComponent

    - #### LESS_THAN_OR_EQUALS_CONSTRAINT_COMPONENT_LESS_THAN_OR_EQUALS

          public static final IRI LESS_THAN_OR_EQUALS_CONSTRAINT_COMPONENT_LESS_THAN_OR_EQUALS

      sh:LessThanOrEqualsConstraintComponent-lessThanOrEquals

    - #### LITERAL

          public static final IRI LITERAL

      sh:Literal

    - #### MAX_COUNT_CONSTRAINT_COMPONENT

          public static final IRI MAX_COUNT_CONSTRAINT_COMPONENT

      sh:MaxCountConstraintComponent

    - #### MAX_COUNT_CONSTRAINT_COMPONENT_MAX_COUNT

          public static final IRI MAX_COUNT_CONSTRAINT_COMPONENT_MAX_COUNT

      sh:MaxCountConstraintComponent-maxCount

    - #### MAX_EXCLUSIVE_CONSTRAINT_COMPONENT

          public static final IRI MAX_EXCLUSIVE_CONSTRAINT_COMPONENT

      sh:MaxExclusiveConstraintComponent

    - #### MAX_EXCLUSIVE_CONSTRAINT_COMPONENT_MAX_EXCLUSIVE

          public static final IRI MAX_EXCLUSIVE_CONSTRAINT_COMPONENT_MAX_EXCLUSIVE

      sh:MaxExclusiveConstraintComponent-maxExclusive

    - #### MAX_INCLUSIVE_CONSTRAINT_COMPONENT

          public static final IRI MAX_INCLUSIVE_CONSTRAINT_COMPONENT

      sh:MaxInclusiveConstraintComponent

    - #### MAX_INCLUSIVE_CONSTRAINT_COMPONENT_MAX_INCLUSIVE

          public static final IRI MAX_INCLUSIVE_CONSTRAINT_COMPONENT_MAX_INCLUSIVE

      sh:MaxInclusiveConstraintComponent-maxInclusive

    - #### MAX_LENGTH_CONSTRAINT_COMPONENT

          public static final IRI MAX_LENGTH_CONSTRAINT_COMPONENT

      sh:MaxLengthConstraintComponent

    - #### MAX_LENGTH_CONSTRAINT_COMPONENT_MAX_LENGTH

          public static final IRI MAX_LENGTH_CONSTRAINT_COMPONENT_MAX_LENGTH

      sh:MaxLengthConstraintComponent-maxLength

    - #### MIN_COUNT_CONSTRAINT_COMPONENT

          public static final IRI MIN_COUNT_CONSTRAINT_COMPONENT

      sh:MinCountConstraintComponent

    - #### MIN_COUNT_CONSTRAINT_COMPONENT_MIN_COUNT

          public static final IRI MIN_COUNT_CONSTRAINT_COMPONENT_MIN_COUNT

      sh:MinCountConstraintComponent-minCount

    - #### MIN_EXCLUSIVE_CONSTRAINT_COMPONENT

          public static final IRI MIN_EXCLUSIVE_CONSTRAINT_COMPONENT

      sh:MinExclusiveConstraintComponent

    - #### MIN_EXCLUSIVE_CONSTRAINT_COMPONENT_MIN_EXCLUSIVE

          public static final IRI MIN_EXCLUSIVE_CONSTRAINT_COMPONENT_MIN_EXCLUSIVE

      sh:MinExclusiveConstraintComponent-minExclusive

    - #### MIN_INCLUSIVE_CONSTRAINT_COMPONENT

          public static final IRI MIN_INCLUSIVE_CONSTRAINT_COMPONENT

      sh:MinInclusiveConstraintComponent

    - #### MIN_INCLUSIVE_CONSTRAINT_COMPONENT_MIN_INCLUSIVE

          public static final IRI MIN_INCLUSIVE_CONSTRAINT_COMPONENT_MIN_INCLUSIVE

      sh:MinInclusiveConstraintComponent-minInclusive

    - #### MIN_LENGTH_CONSTRAINT_COMPONENT

          public static final IRI MIN_LENGTH_CONSTRAINT_COMPONENT

      sh:MinLengthConstraintComponent

    - #### MIN_LENGTH_CONSTRAINT_COMPONENT_MIN_LENGTH

          public static final IRI MIN_LENGTH_CONSTRAINT_COMPONENT_MIN_LENGTH

      sh:MinLengthConstraintComponent-minLength

    - #### NODE_CONSTRAINT_COMPONENT

          public static final IRI NODE_CONSTRAINT_COMPONENT

      sh:NodeConstraintComponent

    - #### NODE_CONSTRAINT_COMPONENT_NODE

          public static final IRI NODE_CONSTRAINT_COMPONENT_NODE

      sh:NodeConstraintComponent-node

    - #### NODE_KIND

          public static final IRI NODE_KIND

      sh:NodeKind

    - #### NODE_KIND_CONSTRAINT_COMPONENT

          public static final IRI NODE_KIND_CONSTRAINT_COMPONENT

      sh:NodeKindConstraintComponent

    - #### NODE_KIND_CONSTRAINT_COMPONENT_NODE_KIND

          public static final IRI NODE_KIND_CONSTRAINT_COMPONENT_NODE_KIND

      sh:NodeKindConstraintComponent-nodeKind

    - #### NODE_SHAPE

          public static final IRI NODE_SHAPE

      sh:NodeShape

    - #### NOT_CONSTRAINT_COMPONENT

          public static final IRI NOT_CONSTRAINT_COMPONENT

      sh:NotConstraintComponent

    - #### NOT_CONSTRAINT_COMPONENT_NOT

          public static final IRI NOT_CONSTRAINT_COMPONENT_NOT

      sh:NotConstraintComponent-not

    - #### OR_CONSTRAINT_COMPONENT

          public static final IRI OR_CONSTRAINT_COMPONENT

      sh:OrConstraintComponent

    - #### OR_CONSTRAINT_COMPONENT_OR

          public static final IRI OR_CONSTRAINT_COMPONENT_OR

      sh:OrConstraintComponent-or

    - #### PARAMETER

          public static final IRI PARAMETER

      sh:Parameter

    - #### PARAMETERIZABLE

          public static final IRI PARAMETERIZABLE

      sh:Parameterizable

    - #### PATTERN_CONSTRAINT_COMPONENT

          public static final IRI PATTERN_CONSTRAINT_COMPONENT

      sh:PatternConstraintComponent

    - #### PATTERN_CONSTRAINT_COMPONENT_FLAGS

          public static final IRI PATTERN_CONSTRAINT_COMPONENT_FLAGS

      sh:PatternConstraintComponent-flags

    - #### PATTERN_CONSTRAINT_COMPONENT_PATTERN

          public static final IRI PATTERN_CONSTRAINT_COMPONENT_PATTERN

      sh:PatternConstraintComponent-pattern

    - #### PREFIX_DECLARATION

          public static final IRI PREFIX_DECLARATION

      sh:PrefixDeclaration

    - #### PROPERTY_CONSTRAINT_COMPONENT

          public static final IRI PROPERTY_CONSTRAINT_COMPONENT

      sh:PropertyConstraintComponent

    - #### PROPERTY_CONSTRAINT_COMPONENT_PROPERTY

          public static final IRI PROPERTY_CONSTRAINT_COMPONENT_PROPERTY

      sh:PropertyConstraintComponent-property

    - #### PROPERTY_GROUP

          public static final IRI PROPERTY_GROUP

      sh:PropertyGroup

    - #### PROPERTY_SHAPE

          public static final IRI PROPERTY_SHAPE

      sh:PropertyShape

    - #### QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT

          public static final IRI QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT

      sh:QualifiedMaxCountConstraintComponent

    - #### QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_MAX_COUNT

          public static final IRI QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_MAX_COUNT

      sh:QualifiedMaxCountConstraintComponent-qualifiedMaxCount

    - #### QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPE

          public static final IRI QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPE

      sh:QualifiedMaxCountConstraintComponent-qualifiedValueShape

    - #### QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPES_DISJOINT

          public static final IRI QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPES_DISJOINT

      sh:QualifiedMaxCountConstraintComponent-qualifiedValueShapesDisjoint

    - #### QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT

          public static final IRI QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT

      sh:QualifiedMinCountConstraintComponent

    - #### QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_MIN_COUNT

          public static final IRI QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_MIN_COUNT

      sh:QualifiedMinCountConstraintComponent-qualifiedMinCount

    - #### QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPE

          public static final IRI QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPE

      sh:QualifiedMinCountConstraintComponent-qualifiedValueShape

    - #### QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPES_DISJOINT

          public static final IRI QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPES_DISJOINT

      sh:QualifiedMinCountConstraintComponent-qualifiedValueShapesDisjoint

    - #### RESULT_ANNOTATION

          public static final IRI RESULT_ANNOTATION

      sh:ResultAnnotation

    - #### SPARQL_ASK_EXECUTABLE

          public static final IRI SPARQL_ASK_EXECUTABLE

      sh:SPARQLAskExecutable

    - #### SPARQL_ASK_VALIDATOR

          public static final IRI SPARQL_ASK_VALIDATOR

      sh:SPARQLAskValidator

    - #### SPARQL_CONSTRAINT

          public static final IRI SPARQL_CONSTRAINT

      sh:SPARQLConstraint

    - #### SPARQL_CONSTRAINT_COMPONENT

          public static final IRI SPARQL_CONSTRAINT_COMPONENT

      sh:SPARQLConstraintComponent

    - #### SPARQL_CONSTRAINT_COMPONENT_SPARQL

          public static final IRI SPARQL_CONSTRAINT_COMPONENT_SPARQL

      sh:SPARQLConstraintComponent-sparql

    - #### SPARQL_CONSTRUCT_EXECUTABLE

          public static final IRI SPARQL_CONSTRUCT_EXECUTABLE

      sh:SPARQLConstructExecutable

    - #### SPARQL_EXECUTABLE

          public static final IRI SPARQL_EXECUTABLE

      sh:SPARQLExecutable

    - #### SPARQL_FUNCTION

          public static final IRI SPARQL_FUNCTION

      sh:SPARQLFunction

    - #### SPARQL_SELECT_EXECUTABLE

          public static final IRI SPARQL_SELECT_EXECUTABLE

      sh:SPARQLSelectExecutable

    - #### SPARQL_SELECT_VALIDATOR

          public static final IRI SPARQL_SELECT_VALIDATOR

      sh:SPARQLSelectValidator

    - #### SPARQL_TARGET

          public static final IRI SPARQL_TARGET

      sh:SPARQLTarget

    - #### SPARQL_TARGET_TYPE

          public static final IRI SPARQL_TARGET_TYPE

      sh:SPARQLTargetType

    - #### SPARQL_UPDATE_EXECUTABLE

          public static final IRI SPARQL_UPDATE_EXECUTABLE

      sh:SPARQLUpdateExecutable

    - #### SPARQL_VALUES_DERIVER

          public static final IRI SPARQL_VALUES_DERIVER

      sh:SPARQLValuesDeriver

    - #### SEVERITY

          public static final IRI SEVERITY

      sh:Severity

    - #### SHAPE

          public static final IRI SHAPE

      sh:Shape

    - #### TARGET

          public static final IRI TARGET

      sh:Target

    - #### TARGET_TYPE

          public static final IRI TARGET_TYPE

      sh:TargetType

    - #### UNIQUE_LANG_CONSTRAINT_COMPONENT

          public static final IRI UNIQUE_LANG_CONSTRAINT_COMPONENT

      sh:UniqueLangConstraintComponent

    - #### UNIQUE_LANG_CONSTRAINT_COMPONENT_UNIQUE_LANG

          public static final IRI UNIQUE_LANG_CONSTRAINT_COMPONENT_UNIQUE_LANG

      sh:UniqueLangConstraintComponent-uniqueLang

    - #### VALIDATION_REPORT

          public static final IRI VALIDATION_REPORT

      sh:ValidationReport

    - #### VALIDATION_RESULT

          public static final IRI VALIDATION_RESULT

      sh:ValidationResult

    - #### VALIDATOR

          public static final IRI VALIDATOR

      sh:Validator

    - #### VALUES_DERIVER

          public static final IRI VALUES_DERIVER

      sh:ValuesDeriver

    - #### VIOLATION

          public static final IRI VIOLATION

      sh:Violation

    - #### WARNING

          public static final IRI WARNING

      sh:Warning

    - #### XONE_CONSTRAINT_COMPONENT

          public static final IRI XONE_CONSTRAINT_COMPONENT

      sh:XoneConstraintComponent

    - #### XONE_CONSTRAINT_COMPONENT_XONE

          public static final IRI XONE_CONSTRAINT_COMPONENT_XONE

      sh:XoneConstraintComponent-xone

    - #### ALTERNATIVE_PATH

          public static final IRI ALTERNATIVE_PATH

      sh:alternativePath

    - #### AND

          public static final IRI AND

      sh:and

    - #### ANNOTATION_PROPERTY

          public static final IRI ANNOTATION_PROPERTY

      sh:annotationProperty

    - #### ANNOTATION_VALUE

          public static final IRI ANNOTATION_VALUE

      sh:annotationValue

    - #### ANNOTATION_VAR_NAME

          public static final IRI ANNOTATION_VAR_NAME

      sh:annotationVarName

    - #### ASK

          public static final IRI ASK

      sh:ask

    - #### CLASS

          public static final IRI CLASS

      sh:class

    - #### CLOSED

          public static final IRI CLOSED

      sh:closed

    - #### CONFORMS

          public static final IRI CONFORMS

      sh:conforms

    - #### CONSTRUCT

          public static final IRI CONSTRUCT

      sh:construct

    - #### DATATYPE

          public static final IRI DATATYPE

      sh:datatype

    - #### DEACTIVATED

          public static final IRI DEACTIVATED

      sh:deactivated

    - #### DECLARE

          public static final IRI DECLARE

      sh:declare

    - #### DEFAULT_VALUE

          public static final IRI DEFAULT_VALUE

      sh:defaultValue

    - #### DERIVED_VALUES

          public static final IRI DERIVED_VALUES

      sh:derivedValues

    - #### DESCRIPTION

          public static final IRI DESCRIPTION

      sh:description

    - #### DETAIL

          public static final IRI DETAIL

      sh:detail

    - #### DISJOINT

          public static final IRI DISJOINT

      sh:disjoint

    - #### EQUALS

          public static final IRI EQUALS

      sh:equals

    - #### FLAGS

          public static final IRI FLAGS

      sh:flags

    - #### FOCUS_NODE

          public static final IRI FOCUS_NODE

      sh:focusNode

    - #### GROUP

          public static final IRI GROUP

      sh:group

    - #### HAS_VALUE

          public static final IRI HAS_VALUE

      sh:hasValue

    - #### IGNORED_PROPERTIES

          public static final IRI IGNORED_PROPERTIES

      sh:ignoredProperties

    - #### IN

          public static final IRI IN

      sh:in

    - #### INVERSE_PATH

          public static final IRI INVERSE_PATH

      sh:inversePath

    - #### LABEL_TEMPLATE

          public static final IRI LABEL_TEMPLATE

      sh:labelTemplate

    - #### LANGUAGE_IN

          public static final IRI LANGUAGE_IN

      sh:languageIn

    - #### LESS_THAN

          public static final IRI LESS_THAN

      sh:lessThan

    - #### LESS_THAN_OR_EQUALS

          public static final IRI LESS_THAN_OR_EQUALS

      sh:lessThanOrEquals

    - #### MAX_COUNT

          public static final IRI MAX_COUNT

      sh:maxCount

    - #### MAX_EXCLUSIVE

          public static final IRI MAX_EXCLUSIVE

      sh:maxExclusive

    - #### MAX_INCLUSIVE

          public static final IRI MAX_INCLUSIVE

      sh:maxInclusive

    - #### MAX_LENGTH

          public static final IRI MAX_LENGTH

      sh:maxLength

    - #### MESSAGE

          public static final IRI MESSAGE

      sh:message

    - #### MIN_COUNT

          public static final IRI MIN_COUNT

      sh:minCount

    - #### MIN_EXCLUSIVE

          public static final IRI MIN_EXCLUSIVE

      sh:minExclusive

    - #### MIN_INCLUSIVE

          public static final IRI MIN_INCLUSIVE

      sh:minInclusive

    - #### MIN_LENGTH

          public static final IRI MIN_LENGTH

      sh:minLength

    - #### NAME

          public static final IRI NAME

      sh:name

    - #### NAMESPACE_PROP

          public static final IRI NAMESPACE_PROP

      sh:namespace

    - #### NODE

          public static final IRI NODE

      sh:node

    - #### NODE_KIND_PROP

          public static final IRI NODE_KIND_PROP

      sh:nodeKind

    - #### NODE_VALIDATOR

          public static final IRI NODE_VALIDATOR

      sh:nodeValidator

    - #### NOT

          public static final IRI NOT

      sh:not

    - #### ONE_OR_MORE_PATH

          public static final IRI ONE_OR_MORE_PATH

      sh:oneOrMorePath

    - #### OPTIONAL

          public static final IRI OPTIONAL

      sh:optional

    - #### OR

          public static final IRI OR

      sh:or

    - #### ORDER

          public static final IRI ORDER

      sh:order

    - #### PARAMETER_PROP

          public static final IRI PARAMETER_PROP

      sh:parameter

    - #### PATH

          public static final IRI PATH

      sh:path

    - #### PATTERN

          public static final IRI PATTERN

      sh:pattern

    - #### PREFIX_PROP

          public static final IRI PREFIX_PROP

      sh:prefix

    - #### PREFIXES

          public static final IRI PREFIXES

      sh:prefixes

    - #### PROPERTY

          public static final IRI PROPERTY

      sh:property

    - #### PROPERTY_VALIDATOR

          public static final IRI PROPERTY_VALIDATOR

      sh:propertyValidator

    - #### QUALIFIED_MAX_COUNT

          public static final IRI QUALIFIED_MAX_COUNT

      sh:qualifiedMaxCount

    - #### QUALIFIED_MIN_COUNT

          public static final IRI QUALIFIED_MIN_COUNT

      sh:qualifiedMinCount

    - #### QUALIFIED_VALUE_SHAPE

          public static final IRI QUALIFIED_VALUE_SHAPE

      sh:qualifiedValueShape

    - #### QUALIFIED_VALUE_SHAPES_DISJOINT

          public static final IRI QUALIFIED_VALUE_SHAPES_DISJOINT

      sh:qualifiedValueShapesDisjoint

    - #### RESULT

          public static final IRI RESULT

      sh:result

    - #### RESULT_ANNOTATION_PROP

          public static final IRI RESULT_ANNOTATION_PROP

      sh:resultAnnotation

    - #### RESULT_MESSAGE

          public static final IRI RESULT_MESSAGE

      sh:resultMessage

    - #### RESULT_PATH

          public static final IRI RESULT_PATH

      sh:resultPath

    - #### RESULT_SEVERITY

          public static final IRI RESULT_SEVERITY

      sh:resultSeverity

    - #### RETURN_TYPE

          public static final IRI RETURN_TYPE

      sh:returnType

    - #### SELECT

          public static final IRI SELECT

      sh:select

    - #### SEVERITY_PROP

          public static final IRI SEVERITY_PROP

      sh:severity

    - #### SHAPES_GRAPH

          public static final IRI SHAPES_GRAPH

      sh:shapesGraph

    - #### SHAPES_GRAPH_WELL_FORMED

          public static final IRI SHAPES_GRAPH_WELL_FORMED

      sh:shapesGraphWellFormed

    - #### SOURCE_CONSTRAINT

          public static final IRI SOURCE_CONSTRAINT

      sh:sourceConstraint

    - #### SOURCE_CONSTRAINT_COMPONENT

          public static final IRI SOURCE_CONSTRAINT_COMPONENT

      sh:sourceConstraintComponent

    - #### SOURCE_SHAPE

          public static final IRI SOURCE_SHAPE

      sh:sourceShape

    - #### SPARQL

          public static final IRI SPARQL

      sh:sparql

    - #### TARGET_PROP

          public static final IRI TARGET_PROP

      sh:target

    - #### TARGET_CLASS

          public static final IRI TARGET_CLASS

      sh:targetClass

    - #### TARGET_NODE

          public static final IRI TARGET_NODE

      sh:targetNode

    - #### TARGET_OBJECTS_OF

          public static final IRI TARGET_OBJECTS_OF

      sh:targetObjectsOf

    - #### TARGET_SUBJECTS_OF

          public static final IRI TARGET_SUBJECTS_OF

      sh:targetSubjectsOf

    - #### UNIQUE_LANG

          public static final IRI UNIQUE_LANG

      sh:uniqueLang

    - #### UPDATE

          public static final IRI UPDATE

      sh:update

    - #### VALIDATOR_PROP

          public static final IRI VALIDATOR_PROP

      sh:validator

    - #### VALUE

          public static final IRI VALUE

      sh:value

    - #### XONE

          public static final IRI XONE

      sh:xone

    - #### ZERO_OR_MORE_PATH

          public static final IRI ZERO_OR_MORE_PATH

      sh:zeroOrMorePath

    - #### ZERO_OR_ONE_PATH

          public static final IRI ZERO_OR_ONE_PATH

      sh:zeroOrOnePath

  - ### Constructor Detail

    - #### SHACL

          public SHACL()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.